Loading...
Searching...
No Matches
pcl::poisson::OctNode< NodeData, Real >::NeighborKey5 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| NeighborKey5 (void)
| ~NeighborKey5 (void)
void | set (int depth)
Neighbors5 & | getNeighbors (OctNode *node)
Neighbors5 & | setNeighbors (OctNode *node, int xStart=0, int xEnd=5, int yStart=0, int yEnd=5, int zStart=0, int zEnd=5)

## Public Attributes

Neighbors5 * | neighbors

## Detailed Description

template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::NeighborKey5

Definition at line 249 of file octree_poisson.h.

## Constructor & Destructor Documentation

## NeighborKey5()

template<class NodeData, class Real>

pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::NeighborKey5 | ( | void |  | ) |

Definition at line 1692 of file octree_poisson.hpp.

References neighbors.

## ~NeighborKey5()

template<class NodeData, class Real>

pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::~NeighborKey5 | ( | void |  | ) |

Definition at line 1706 of file octree_poisson.hpp.

References neighbors.

## Member Function Documentation

## getNeighbors()

template<class NodeData, class Real>

OctNode< NodeData, Real >::Neighbors5 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors | ( | OctNode * | node | ) |

Definition at line 1740 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), getNeighbors(), neighbors, pcl::poisson::OctNode< NodeData, Real >::Neighbors5::neighbors, pcl::poisson::OctNode< NodeData, Real >::OctNode(), and pcl::poisson::OctNode< NodeData, Real >::parent.

Referenced by getNeighbors().

## set()

template<class NodeData, class Real>

void pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::set | ( | int | depth | ) |

Definition at line 1720 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, and neighbors.

## setNeighbors()

template<class NodeData, class Real>

OctNode< NodeData, Real >::Neighbors5 & pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors | ( | OctNode * | node,
|  | int | xStart = 0,
|  | int | xEnd = 5,
|  | int | yStart = 0,
|  | int | yEnd = 5,
|  | int | zStart = 0,
|  | int | zEnd = 5 )

Definition at line 1857 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::initChildren(), neighbors, pcl::poisson::OctNode< NodeData, Real >::Neighbors5::neighbors, pcl::poisson::OctNode< NodeData, Real >::OctNode(), pcl::poisson::OctNode< NodeData, Real >::parent, and setNeighbors().

Referenced by setNeighbors().

## Member Data Documentation

## neighbors

template<class NodeData, class Real = float>

Neighbors5* pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::neighbors

Definition at line 253 of file octree_poisson.h.

Referenced by getNeighbors(), NeighborKey5(), set(), setNeighbors(), and ~NeighborKey5().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/octree_poisson.h
- pcl/surface/3rdparty/poisson4/octree_poisson.hpp